﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ComponenteActivo;

namespace Cliente
{
    public partial class Form1 : Form
    {
        private IChamada registoChamadas;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            registoChamadas = Factory.getRegistoChamadas();
        }

        private void startButton_Click(object sender, EventArgs e)
        {
            ChamadaStatus ret = registoChamadas.Start(numeroIniciador.Text,numeroChamado.Text,instanteInicio.Value);
            MessageBox.Show(ret.ToString(), "Resultado Iniciar");
        }

        private void stopButton_Click(object sender, EventArgs e)
        {
            ChamadaStatus ret = registoChamadas.Stop(numeroIniciador.Text);
            MessageBox.Show(ret.ToString(), "Resultado Terminar");
        }

        private void getButton_Click(object sender, EventArgs e)
        {
            int nsegundos;
            ChamadaStatus ret = registoChamadas.GetSegundos(numeroIniciador.Text, out nsegundos);
            if (ret == ChamadaStatus.OK) secondsLabel.Text = nsegundos.ToString();
            else MessageBox.Show(ret.ToString(), "Resultado Mostrar");
        }

        private void chamadasActivas_Click(object sender, EventArgs e)
        {
            DataSet d;
            ChamadaStatus ret = registoChamadas.GetChamadasActivas(out d);

            dataGridView1.DataSource = d;
            dataGridView1.DataMember = "Table";
        }
    }
}