using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

namespace ComponenteActivo
{
    public enum ChamadaStatus
    {
        OK, 
        DATABASE_PROBLEM, 
        ALREADY_INITIATED, 
        NOT_INITIATED, 
        INEXISTENT_INITIATOR, 
        PARAMETER_PROBLEM, 
        MULTIPLE_CALLS
    }

    public interface IChamada
    {
        ChamadaStatus GetSegundos(string numeroIniciador, out int nsegundos);
        ChamadaStatus Start(string numeroIniciador, string numeroChamado, DateTime instanteInicio);
        ChamadaStatus Stop(string numeroIniciador);
        ChamadaStatus GetChamadasActivas(out DataSet chamadasActivas);
    }
}
